View Issue Details

IDProjectCategoryView StatusLast Update
0003541SOGoBackend Calendarpublic2016-03-23 13:44
Reporterrainerbs Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.8 
Fixed in Version2.3.10 
Summary0003541: New tasks created with iPhones always classified as "public"
Description

A new task created with an iPone (IOS 9.2) connected via CalDav will be stored as “public” even if in the settings for new tasks something different is specified.
For new events in contrast their settings for classification take effect.

TagsNo tags attached.

Activities

Christian Mack

Christian Mack

2016-02-24 08:21

developer   ~0009593

Where did you specify the other classification?
Did you change it in the event, in iPhones default config or in SOGo web preferences?

ludovic

ludovic

2016-03-23 13:44

administrator   ~0009826

fix also pushed for the upcoming 3.0.3

Related Changesets

sogo: master 3a9c28f0

2016-03-23 13:41:08

ludovic

Details Diff
(fix) handle default classification for tasks (fixes 0003541) Affected Issues
0003541
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File
mod - SoObjects/Appointments/SOGoCalendarComponent.h Diff File
mod - SoObjects/Appointments/SOGoCalendarComponent.m Diff File
mod - SoObjects/Appointments/SOGoTaskObject.m Diff File

sogo: v2 cfddf147

2016-03-23 13:41:08

ludovic

Details Diff
(fix) handle default classification for tasks (fixes 0003541) Affected Issues
0003541
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File
mod - SoObjects/Appointments/SOGoCalendarComponent.h Diff File
mod - SoObjects/Appointments/SOGoCalendarComponent.m Diff File
mod - SoObjects/Appointments/SOGoTaskObject.m Diff File

Issue History

Date Modified Username Field Change
2016-02-23 04:09 rainerbs New Issue
2016-02-24 08:21 Christian Mack Note Added: 0009593
2016-03-23 13:42 ludovic Changeset attached => sogo master 3a9c28f0
2016-03-23 13:42 ludovic Assigned To => ludovic
2016-03-23 13:42 ludovic Resolution open => fixed
2016-03-23 13:43 ludovic Changeset attached => sogo v2 cfddf147
2016-03-23 13:44 ludovic Note Added: 0009826
2016-03-23 13:44 ludovic Status new => resolved
2016-03-23 13:44 ludovic Fixed in Version => 2.3.10